## python-casmoothing 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
INCLUDE(CPack)
INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFileCXX)
INCLUDE(CheckFunctionExists)

PROJECT(ca_smoothing)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
find_package(VTK REQUIRED)
include(${VTK_USE_FILE})

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

FIND_PACKAGE(PythonLibs)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

#add_library(ca_smoothing SHARED ca_smoothing.cxx)
#add_executable(ca_smoothing_app ca_smoothing_app.cxx)

SET (Libraries vtkPythonCore)

SET_SOURCE_FILES_PROPERTIES(ca_smoothing.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(ca_smoothing.i PROPERTIES SWIG_FLAGS "-includeall")
set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/lib)
SWIG_ADD_MODULE(ca_smoothing python ca_smoothing.i ca_smoothing.cxx)

message(STATUS "Libraries" ${Libraries})

if(VTK_LIBRARIES)
	#target_link_libraries(ca_smoothing ${VTK_LIBRARIES} ${Libraries})
	#target_link_libraries(ca_smoothing_app ca_smoothing ${VTK_LIBRARIES} ${Libraries})
        SWIG_LINK_LIBRARIES(ca_smoothing ${PYTHON_LIBRARIES} ${Libraries} ${VTK_LIBRARIES})
else()
        #target_link_libraries(ca_smoothing vtkHybrid )
        #target_link_libraries(ca_smoothing_app ca_smoothing vtkHybrid ${Libraries})
	SWIG_LINK_LIBRARIES(ca_smoothing ${PYTHON_LIBRARIES} vtkHybrid vtkCommon vtkHybridPythonD vtkFiltering)
       
endif()

IF (CMAKE_COMPILER_IS_GNUCXX)
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

	# If g++ is greater than 4.6, set to use c++0x standard.
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GXX_VERSION)
	if(GXX_VERSION VERSION_GREATER "4.6")
		set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
	endif(GXX_VERSION VERSION_GREATER "4.6")

ENDIF(CMAKE_COMPILER_IS_GNUCXX)

CHECK_INCLUDE_FILE_CXX (unordered_map HAVE_CXX0X)
CHECK_INCLUDE_FILE_CXX (tr1/unordered_map HAVE_TR1)

IF (NOT HAVE_CXX0X)
	SET (HAVE_CXX0X 0)
ENDIF (NOT HAVE_CXX0X)

IF (NOT HAVE_TR1)
	SET (HAVE_TR1 0)
ENDIF (NOT HAVE_TR1)


# Finding python site-packages dir
execute_process( COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(prefix='')" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE ) 

INSTALL(TARGETS _ca_smoothing DESTINATION ${CMAKE_INSTALL_PREFIX}/${PYTHON_SITE_PACKAGES})
INSTALL(FILES ${CMAKE_BINARY_DIR}/lib/ca_smoothing.py DESTINATION ${CMAKE_INSTALL_PREFIX}/${PYTHON_SITE_PACKAGES})

=== debian/changelog ===
python-casmoothing (0.1-2) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - Drop explicit Depends libvtk5.8 to enable automatic depencency
       detection via ${shlibs:Depends}
       Closes: #708255
  * cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2013 09:34:34 +0100

python-casmoothing (0.1-1) unstable; urgency=low

  * Initial release (Closes: #693963)

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Thu, 22 Nov 2012 13:23:00 +0100

=== debian/control ===
Source: python-casmoothing
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thiago Franco de Moraes <tfmoraes@cti.gov.br>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               swig,
               python-dev,
               python-vtk,
               libvtk5-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-casmoothing/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-casmoothing/trunk/
Homepage: https://github.com/tfmoraes/python-casmoothing
X-Python-Version: >= 2.7

Package: python-casmoothing
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-vtk
Description: Context-aware mesh smoothing for biomedical applications
 Smoothing algorithms allow to reduce artifacts from mesh generation, but often
 degrade accuracy. The method described in the paper "Context-aware mesh
 smoothing for biomedical applications" identifies staircase artifacts which
 result from image inhomogeneities and binary segmentation in medical image
 data for subsequent removal by adaptive mesh smoothing. Thus, context-aware
 smoothing enables to adaptively smooth artifact areas, while non-artifact
 features can be preserved. This is a implementation of this method in Cpp
 with Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --rename --destdir=../tarballs

## python-casmoothing 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
  
 find_package(VTK REQUIRED)
+find_package(VTK COMPONENTS vtkCommonCore vtkWrappingTools vtkCommonDataModel )
 include(${VTK_USE_FILE})
 
 FIND_PACKAGE(SWIG REQUIRED)
@@ -21,10 +22,12 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 
+message(${VTK_LIBRARIES})
+
 #add_library(ca_smoothing SHARED ca_smoothing.cxx)
 #add_executable(ca_smoothing_app ca_smoothing_app.cxx)
 
-SET (Libraries vtkPythonCore)
+#SET (Libraries vtkPythonCore)
 
 SET_SOURCE_FILES_PROPERTIES(ca_smoothing.i PROPERTIES CPLUSPLUS ON)
 #SET_SOURCE_FILES_PROPERTIES(ca_smoothing.i PROPERTIES SWIG_FLAGS "-includeall")

=== debian/changelog ===
python-casmoothing (0.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 10:55:56 +0100

python-casmoothing (0.2-1) unstable; urgency=low

  [ Thiago Franco de Moraes ]
  * New upstream version supporting VTK6

  [ Andreas Tille ]
  * debian/rules: use xz compression for repackaged upstream source
  * fix spelling error in long description

 -- Thiago Franco de Moraes <tfmoraes@cti.gov.br>  Tue, 25 Aug 2015 09:45:07 -0300

=== debian/control ===
Source: python-casmoothing
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Thiago Franco de Moraes <tfmoraes@cti.gov.br>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               cmake,
               swig,
               python-dev,
               python-vtk6,
               libvtk6-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-casmoothing.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-casmoothing.git
Homepage: https://github.com/tfmoraes/python-casmoothing
X-Python-Version: >= 2.7

Package: python-casmoothing
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-vtk6
Description: Context-aware mesh smoothing for biomedical applications
 Smoothing algorithms allow one to reduce artifacts from mesh generation,
 but often degrade accuracy. The method described in the paper "Context-
 aware mesh smoothing for biomedical applications" identifies staircase
 artifacts which result from image inhomogeneities and binary
 segmentation in medical image data for subsequent removal by adaptive
 mesh smoothing. Thus, context-aware smoothing enables to adaptively
 smooth artifact areas, while non-artifact features can be preserved.
 This is a implementation of this method in Cpp with Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compress xz --destdir=../tarballs
